## org.apache.batik.util
Class ClassFileUtilities.Jar

    java.lang.Object
      org.apache.batik.util.ClassFileUtilities.Jar

Enclosing class:
  ClassFileUtilities

    protected static class ClassFileUtilities.Jar

extends java.lang.Object

Field Summary
`java.util.Map` `deps`
`java.io.File` `file`
`java.util.Set` `files`
`java.util.jar.JarFile` `jarFile`
`java.lang.String` `name`

Constructor Summary
`protected` `ClassFileUtilities.Jar()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### file

    public java.io.File file

### jarFile

    public java.util.jar.JarFile jarFile

### deps

    public java.util.Map deps

### files

    public java.util.Set files

Constructor Detail

### ClassFileUtilities.Jar

    protected ClassFileUtilities.Jar()

Copyright © 2008 Apache Software Foundation. All Rights Reserved.